| API Docs for SAX and DOM |
| Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members # XMLAbstractDoubleFloat Class Reference Inheritance diagram for XMLAbstractDoubleFloat: [legend] Collaboration diagram for XMLAbstractDoubleFloat: [legend] List of all members.
## Public Types
enum | LiteralType { NegINF, PosINF, NaN, SpecialTypeNum, Normal }
## Public Methods
virtual | ~XMLAbstractDoubleFloat ()
virtual XMLCh * | toString () const
| Deprecated: please use getRawData. More...
virtual XMLCh * | getRawData () const
| Return string representation of the decimal value. More...
virtual const XMLCh * | getFormattedString () const
| Return the original and converted value of the original data. More...
virtual int | getSign () const
| Returns the sign of this number. More...
MemoryManager * | getMemoryManager () const
bool | isDataConverted () const
bool | isDataOverflowed () const
double | getValue () const
void | normalizeDecimalPoint (char *const toNormal)
## Static Public Methods
XMLCh * | getCanonicalRepresentation (const XMLCh *const rawData, MemoryManager *const memMgr=XMLPlatformUtils::fgMemoryManager)
## Protected Methods
| XMLAbstractDoubleFloat (MemoryManager *const manager=XMLPlatformUtils::fgMemoryManager)
void | init (const XMLCh *const strValue)
virtual void | checkBoundary (const XMLCh *const strValue)=0
## Static Protected Methods
int | compareValues (const XMLAbstractDoubleFloat *const lValue, const XMLAbstractDoubleFloat *const rValue, MemoryManager *const manager)
| Compares this object to the specified object. More...
## Protected Attributes
double | fValue
LiteralType | fType
bool | fDataConverted
bool | fDataOverflowed
## Member Enumeration Documentation
enum XMLAbstractDoubleFloat::LiteralType
  | Enumeration values:
  NegINF |
  PosINF |
  NaN |
  SpecialTypeNum |
  Normal |
## Constructor & Destructor Documentation
virtual XMLAbstractDoubleFloat::~XMLAbstractDoubleFloat | ( |  | ) | `[virtual]`
XMLAbstractDoubleFloat::XMLAbstractDoubleFloat | ( | MemoryManager *const | manager = XMLPlatformUtils::fgMemoryManager | ) | `[protected]`
## Member Function Documentation
virtual void XMLAbstractDoubleFloat::checkBoundary | ( | const XMLCh *const | strValue | ) | `[protected, pure virtual]`
| Implemented in XMLDouble.
int XMLAbstractDoubleFloat::compareValues | ( | const XMLAbstractDoubleFloat *const | lValue,
|  | const XMLAbstractDoubleFloat *const | rValue,
|  | MemoryManager *const | manager
| ) | `[static, protected]`
  | Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is an `XMLAbstractDoubleFloat` object that contains the same `int` value as this object. Parameters:
  lValue | the object to compare with.
  rValue | the object to compare against.
  manager | The MemoryManager to use to allocate objects
Returns: `true` if the objects are the same; `false` otherwise.
XMLCh* XMLAbstractDoubleFloat::getCanonicalRepresentation | ( | const XMLCh *const | rawData,
|  | MemoryManager *const | memMgr = XMLPlatformUtils::fgMemoryManager
| ) | `[static]`
virtual const XMLCh* XMLAbstractDoubleFloat::getFormattedString | ( |  | ) | const`[virtual]`
| Return the original and converted value of the original data. (applicable to double/float) The internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.
MemoryManager * XMLAbstractDoubleFloat::getMemoryManager | ( |  | ) | const
virtual XMLCh* XMLAbstractDoubleFloat::getRawData | ( |  | ) | const`[virtual]`
| Return string representation of the decimal value. A decimal point will be included as necessary. Similar to toString above, but the internal buffer is returned directly, user is not required to delete the returned buffer Implements XMLNumber.
virtual int XMLAbstractDoubleFloat::getSign | ( |  | ) | const`[virtual]`
| Returns the sign of this number. -1 negative 0 zero 1 positive Implements XMLNumber.
double XMLAbstractDoubleFloat::getValue | ( |  | ) | const
void XMLAbstractDoubleFloat::init | ( | const XMLCh *const | strValue | ) | `[protected]`
bool XMLAbstractDoubleFloat::isDataConverted | ( |  | ) | const
bool XMLAbstractDoubleFloat::isDataOverflowed | ( |  | ) | const
void XMLAbstractDoubleFloat::normalizeDecimalPoint | ( | char *const | toNormal | ) |
virtual XMLCh* XMLAbstractDoubleFloat::toString | ( |  | ) | const`[virtual]`
| Deprecated: please use getRawData. Implements XMLNumber.
## Member Data Documentation
bool XMLAbstractDoubleFloat::fDataConverted`[protected]`
bool XMLAbstractDoubleFloat::fDataOverflowed`[protected]`
LiteralType XMLAbstractDoubleFloat::fType`[protected]`
double XMLAbstractDoubleFloat::fValue`[protected]`
The documentation for this class was generated from the following file: XMLAbstractDoubleFloat.hpp

Copyright © 1994-2004 The Apache Software Foundation. All Rights Reserved.